geos::algorithm::locate::PointOnGeometryLocator Class Referenceabstract

An interface for classes which determine the Location of points in Polygon or MultiPolygon geometries. More...

`#include <PointOnGeometryLocator.h>`

Inheritance diagram for geos::algorithm::locate::PointOnGeometryLocator:

## Public Member Functions

virtual geom::Location | locate (const geom::CoordinateXY *p)=0

## Detailed Description

An interface for classes which determine the Location of points in Polygon or MultiPolygon geometries.

Author
  Martin Davis

## Member Function Documentation

## locate()

virtual geom::Location geos::algorithm::locate::PointOnGeometryLocator::locate | ( | const geom::CoordinateXY * | p | ) |

pure virtual

Determines the Location of a point in an areal Geometry.

Parameters

  p | the point to test

Returns
  the location of the point in the geometry

Implemented in geos::algorithm::locate::IndexedPointInAreaLocator, geos::algorithm::locate::SimplePointInAreaLocator, and geos::operation::overlayng::IndexedPointOnLineLocator.

The documentation for this class was generated from the following file:

- PointOnGeometryLocator.h